/*
* Copyright 2004 - 2009 by dronten@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger.gui.titletab;

import javax.swing.*;


/**
 * Batch album renamer tab.<br>
 * Contains AlbumTable and AlbumOptionsPanel panels.
 *
 * @see TitleOptionsPanel
 * @see TitleTablePanel
 */
public class TitleSplitPane extends JSplitPane {
    private static final long   serialVersionUID = 1;
    private TitleOptionsPanel   aTitleOptionsPanel = null;
    private TitleTablePanel aTitleTable = null;


    /**
     *
     */
    public TitleSplitPane() {
        super();

        aTitleTable = new TitleTablePanel();
        aTitleOptionsPanel = new TitleOptionsPanel();

        setLeftComponent(aTitleOptionsPanel);
        setRightComponent(aTitleTable);
    }


    /**
     * Get title options panel.
     *
     * @return Options panel
     */
    public TitleOptionsPanel getTitleOptionsPanel() {
        return aTitleOptionsPanel;
    }


    /**
     * Get title table.
     *
     * @return Table
     */
    public TitleTablePanel getTitleTable() {
        return aTitleTable;
    }
}
