/*
* Copyright 2004 - 2009 by dronten@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger.gui.tracktab;

import javax.swing.*;


/**
 * Tab pane for listing files and editing individual tracks.
 */
public class TrackSplitPane extends JSplitPane {
    private static final long   serialVersionUID = 1;
    private TrackTablePanel aTrackTable;


    /**
     *
     */
    public TrackSplitPane() {
        super();

        TrackOptionsPanel trackOptions= new TrackOptionsPanel();
        aTrackTable = new TrackTablePanel(trackOptions);

        setLeftComponent(trackOptions);
        setRightComponent(aTrackTable);
    }


    /**
     * Get track table.
     *
     * @return Table
     */
    public TrackTablePanel getTrackTable() {
        return aTrackTable;
    }
}
