/*
* Copyright 2008 Patrick Oosterveld - patrick.oosterveld@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger.util;


/**
 *
 */
public enum MimeType {
    GIF("image/gif"),
    JPG("image/jpeg"),
    JPEG("image/jpeg"),
    PNG("image/png"),
    UNKNOWN("unknown");

    private String aMimeType;


    /**
     *
     * @param aMimeType
     */
    MimeType(String aMimeType) {
        this.aMimeType = aMimeType;
    }


    /**
     *
     * @param mimeType
     */
    public void setValue(String mimeType) {
        this.aMimeType = mimeType;
    }


    /**
     *
     * @param value
     * @return
     */
    public static MimeType getMimeType(String value) {
        for (MimeType iterable_element : values()) {
            if (iterable_element.name().equals(value.toUpperCase())) {
                return iterable_element;
            }
        }
        return MimeType.UNKNOWN;
    }


    /**
     *
     * @return
     */
    public String toString() {
        return aMimeType;
    }
}
